package domain


type AlibabaWdkPlatformCategoryQueryPlatformCategoryDo struct {
    /*
        子类目列表     */
    ChildList  *[]AlibabaWdkPlatformCategoryQueryPlatformCategory2Do `json:"child_list,omitempty" `

    /*
        类目编码     */
    CategoryNo  *string `json:"category_no,omitempty" `

    /*
        类目名称     */
    Name  *string `json:"name,omitempty" `

    /*
        淘宝类目id     */
    TaoCategoryId  *int64 `json:"tao_category_id,omitempty" `

    /*
        是否叶子(布尔类型,1=true)     */
    IsLeaf  *bool `json:"is_leaf,omitempty" `

    /*
        淘系类目id(服务)     */
    TaoCategoryCode  *string `json:"tao_category_code,omitempty" `

}

func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetChildList(v []AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.ChildList = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetCategoryNo(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.CategoryNo = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetName(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.Name = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetTaoCategoryId(v int64) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.TaoCategoryId = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetIsLeaf(v bool) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.IsLeaf = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) SetTaoCategoryCode(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategoryDo {
    s.TaoCategoryCode = &v
    return s
}
